# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "127.0.0.1:62001"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.android.settings"
# app的界面名字
desired_caps["appActivity"] = ".Settings"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

# 定位元素，操作元素
# driver.find_element(By.XPATH, '//*[@text="显示"]').click()
# driver.find_element(By.XPATH, '//*[@text="声音"]').click()
# # app的界面跳转之后，由于代码脚本执行速度太快，还没跳转之前就已经执行定位操作元素，所以找不到
# time.sleep(0.5)
# driver.find_element(By.XPATH, '//*[@text="手机铃声"]').click()

# 定位当前界面之外的元素
# app界面为了保证内存发挥比较极致，所有可操作的元素仅仅是当前界面存在的元素
# 如果app界面进行了切换，只能操作当前界面的元素
# driver.find_element(By.XPATH, '//*[@text="安全"]').click()

# 通过坐标定位:定位声音元素
# driver.tap([(144, 1615)], duration=100) # 左上角
# driver.tap([(208, 1658)], duration=100)  # 右下角

time.sleep(5)
driver.quit()
