# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "127.0.0.1:62001"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.android.launcher3"
# app的界面名字
desired_caps["appActivity"] = ".launcher3.Launcher"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
# print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

# el1 = driver.find_element(By.XPATH, "//*[@text='浏览器']")
# el2 = driver.find_element(By.XPATH, "//*[@text='开发者头条']")
# print(el1.text)
# print(el2.text)
# driver.drag_and_drop(el1, el2)

# 通过元素的相对位置进行滚动
el1 = driver.find_element(By.XPATH, '//*[@text="应用"]')
el2 = driver.find_element(By.XPATH, '//*[@text="蓝牙"]')
# 常见元素识别及动作
driver.find_element(By.ID, 'android:id/search_src_text').send_keys("安全")
driver.find_element(By.XPATH,'//*[@test="显示"]').click()
driver.find_element(By.CLASS_NAME,'android.widget.ImageView').click()
driver.tap([(984, 56)], duration=100)
# 常见操作
driver.drag_and_drop(driver.find_element(By.XPATH, "//*[@text='浏览器']"),
                     driver.find_element(By.XPATH, "//*[@text='开发者头条']"))
driver.swipe(144, 1759, 144, 943)
driver.scroll(el1, el2)

time.sleep(5)
driver.quit()
