# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from appium.webdriver.common.touch_action import TouchAction
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "127.0.0.1:62001"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.android.settings"
# app的界面名字
desired_caps["appActivity"] = ".Settings"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
# print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

action = TouchAction(driver)

el1 = driver.find_element(By.XPATH, '//*[@text="应用"]')
el2 = driver.find_element(By.XPATH, '//*[@text="蓝牙"]')

# 通过事件链的方式进行滚动操作
# press：按下
# wait：按下的时间毫秒
# move_to：移动
action.press(el1).wait(200).move_to(el2)
# 事件链操作完成之后需要松手:release()
action.release()
# 提交事件链
action.perform()

# 点击安全进入图案界面
time.sleep(0.5)
driver.find_element(By.XPATH, '//*[@text="安全"]').click()
time.sleep(0.5)
driver.find_element(By.XPATH, '//*[@text="屏幕锁定"]').click()
time.sleep(0.5)
driver.find_element(By.XPATH, '//*[@text="图案"]').click()
time.sleep(0.5)
# 通过坐标绘制图案
action.press(x=210, y=900).wait(100) \
    .move_to(x=539, y=900) \
    .wait(100).move_to(x=867, y=900) \
    .wait(100).move_to(x=539, y=1230) \
    .wait(100).move_to(x=210, y=1562) \
    .wait(100).move_to(x=539, y=1560) \
    .wait(100).move_to(x=867, y=1558).wait(100)
# 松手操作
action.release()
# 提交事件链
action.perform()

driver.find_element(By.XPATH, '//*[@text="继续"]').click()
time.sleep(0.5)
# 第二次：通过坐标绘制图案
action.press(x=210, y=900).wait(100) \
    .move_to(x=539, y=900) \
    .wait(100).move_to(x=867, y=900) \
    .wait(100).move_to(x=539, y=1230) \
    .wait(100).move_to(x=210, y=1562) \
    .wait(100).move_to(x=539, y=1560) \
    .wait(100).move_to(x=867, y=1558).wait(100)
# 松手操作
action.release()
# 提交事件链
action.perform()

driver.find_element(By.XPATH, '//*[@text="确认"]').click()
time.sleep(0.5)
driver.find_element(By.XPATH, '//*[@text="完成"]').click()
# adb shell dumpsys window windows | findstr mFocusedApp

time.sleep(5)
driver.quit()
