# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "127.0.0.1:62001"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.android.settings"
# app的界面名字
desired_caps["appActivity"] = ".Settings"

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

# 获取时间
print(driver.device_time)  # 2023-11-06T18:41:10+08:00
# 获取分辨率
print(driver.get_window_size())  # {'width': 1080, 'height': 1920}
# 获取手机的网络信息
print(driver.network_connection)  # 返回一个数值:6=移动网+wife
# 设置网络信息
driver.set_network_connection(2)  # 注意:已经开启的网络不会重复开启
time.sleep(1)
print(driver.network_connection)
# 打开手机的通知栏
time.sleep(2)
driver.open_notifications()
# 截图
driver.save_screenshot("123.png")

time.sleep(5)
driver.quit()
